res_lib_cmap_notify_callback Struct Reference

The res_lib_cmap_notify_callback struct. More...

`#include <ipc_cmap.h>`

## Public Member Functions

struct qb_ipc_response_header header | __attribute__ ((aligned(8)))
mar_uint64_t track_inst_handle | __attribute__ ((aligned(8)))
mar_name_t key_name | __attribute__ ((aligned(8)))
mar_int32_t event | __attribute__ ((aligned(8)))
mar_uint8_t new_value_type | __attribute__ ((aligned(8)))
mar_uint8_t old_value_type | __attribute__ ((aligned(8)))
mar_size_t new_value_len | __attribute__ ((aligned(8)))
mar_size_t old_value_len | __attribute__ ((aligned(8)))

## Data Fields

mar_uint8_t | new_value []

## Detailed Description

The res_lib_cmap_notify_callback struct.

Definition at line 234 of file ipc_cmap.h.

## Member Function Documentation

## __attribute__() [1/8]

mar_size_t old_value_len res_lib_cmap_notify_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [2/8]

mar_size_t new_value_len res_lib_cmap_notify_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [3/8]

mar_uint8_t old_value_type res_lib_cmap_notify_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [4/8]

mar_uint8_t new_value_type res_lib_cmap_notify_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [5/8]

mar_int32_t event res_lib_cmap_notify_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [6/8]

mar_name_t key_name res_lib_cmap_notify_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [7/8]

mar_uint64_t track_inst_handle res_lib_cmap_notify_callback::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [8/8]

struct qb_ipc_response_header header res_lib_cmap_notify_callback::__attribute__ | ( | (aligned(8)) |  | ) |

References __attribute__(), and header.

Referenced by __attribute__().

## Field Documentation

## new_value

mar_uint8_t res_lib_cmap_notify_callback::new_value[]

Definition at line 250 of file ipc_cmap.h.

Referenced by cmap_dispatch().

The documentation for this struct was generated from the following file:

- ipc_cmap.h